PIIXIDE(4) | Device Drivers Manual | PIIXIDE(4)

# NAME

`piixide` —
Intel IDE/SATA disk controllers driver

# SYNOPSIS

`piixide* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `piixide` driver supports the Intel PIIX, PIIX3, PIIX4, and 82801 (ICH/ICH0/ICH2/ICH3/ICH4/ICH5/ICH6/ICH7/ICH8/ICH9/ICH10) IDE/SATA controllers and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `piixide` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

# BUGS

The timings used for the PIO and DMA modes for controllers listed above are for a PCI bus running at 30 or 33 MHz. This driver may not work properly on overclocked systems.

July 30, 2010 | NetBSD 9.4